Skip to main content
`Ctrl`+`K`

# MatH2OpusMapVec

Maps a vector between PETSc and H2Opus ordering

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatH2OpusMapVec(Mat A, PetscBool nativetopetsc, Vec in, Vec *out)

## Input Parameters

- A - the matrix

- nativetopetsc - if true, maps from H2Opus ordering to PETSc ordering. If false, applies the reverse map

- in - the vector to be mapped

## Output Parameter

- out - the newly created mapped vector

## See Also

Matrices, `Mat`, `MatCreate()`, `MATH2OPUS`, `MatCreateH2OpusFromMat()`, `MatCreateH2OpusFromKernel()`

## Level

intermediate

## Location

src/mat/impls/h2opus/cuda/math2opus.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages